#
# spec file for package libamso (Version 1.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libibverbs libibverbs-devel libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           libamso
Summary:        AMSO1100 Userspace Library
Version:        1.0
Release:        4.4
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.bz2
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibverbs-devel

%description
libamso provides a device-specific userspace driver for Chelsio RNICs
for use with the libibverbs library.



Authors:
--------
    Open Grid Computing, Inc.

%debug_package
%package devel
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Summary:        AMSO1100 Userspace Library
Requires:       %{name} = %{version} libibverbs-devel

%description devel
libamso provides a device-specific userspace driver for Chelsio RNICs
for use with the libibverbs library.



Authors:
--------
    Open Grid Computing, Inc.

%prep
%setup -q
./autogen.sh

%build
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
/etc/libibverbs.d/amso.driver
%_libdir/libamso-rdmav2.so

%files devel
%defattr(-, root, root)
%_libdir/libamso.so
%_libdir/libamso.a
%_libdir/libamso.la

%changelog
* Wed Jul 04 2007 - hvogel@suse.de
- add GPL COPYING file [#289190]
- get rid of the git metadata
* Thu Jun 21 2007 - hvogel@suse.de
- require libibverbs-devel in the devel subpackage
* Wed Jun 20 2007 - hvogel@suse.de
- Initial Package, Version 1.0
